package org.rcisoft.business.cmspriceclick.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmspriceclick.entity.CmsPriceClick;
import org.rcisoft.business.cmspriceclick.entity.CmsPriceClickDTO;
import org.rcisoft.business.cmspriceclick.entity.WxUserImageDTO;
import org.rcisoft.business.sysunit.entity.SysUnit;
import org.rcisoft.business.sysuser.entity.SysUser;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with cy on 2024年6月3日 下午3:35:01.
 */

public interface CmsPriceClickRepository extends CyBaseMapper<CmsPriceClick> {


    List<CmsPriceClickDTO> queryCmsPriceClicks(@Param("entity") CmsPriceClick cmsPriceClick);

    /**
     * 分页查询 cmsPriceClick
     */
    IPage<CmsPriceClick> queryCmsPriceClicksPaged(CyPageInfo cyPageInfo, @Param("entity") CmsPriceClick cmsPriceClick);

    IPage<CmsPriceClickDTO> superAdminPaginatedQuery(CyPageInfo<CmsPriceClick> paginationUtility, @Param("entity") CmsPriceClickDTO cmsPriceClickDTO);

    IPage<CmsPriceClickDTO> merchantAdminsPaginateQueries(CyPageInfo<CmsPriceClick> paginationUtility, @Param("entity") CmsPriceClickDTO cmsPriceClickDTO);

    void insertList(@Param("entityList") ArrayList<CmsPriceClick> cmsPriceClicks);

    //逻辑删除 商家
    void updateTheUserByMerchantId(@Param("entity") SysUnit sysUnit);

    //逻辑删除 商家-》代言人
    void updateTheUserByMerchantIdUserId(@Param("entity") SysUser sysUser, @Param("deptId") String s);


    CmsPriceClick findByTitleAndUnitNameAndLoginNameNew(@Param("cmsPriceClickDTO") CmsPriceClickDTO cmsPriceClickDTO);

    CmsPriceClick findByTitleAndUnitNameAndLoginNameVideo(@Param("cmsPriceClickDTO") CmsPriceClickDTO cmsPriceClickDTO);

    //逻辑删除 新闻/视频 -》 商家
    void updateTheUserByNewVideoIdUnitId(@Param("unitId") String unitId, @Param("newsVideoId") Integer newsVideoId, @Param("type") String type);

    void updateTheUserByNewVideoId(@Param("newsVideoId") Integer newsVideoId, @Param("type") String type);


    void updateTheUserByUserId(@Param("sysUser") SysUser sysUser);

    ArrayList<CmsPriceClick> selectUserIdBid(@Param("unitId") Integer unitId, @Param("newsVideoId") Integer newsVideoId, @Param("type") String type);

    IPage<WxUserImageDTO> getCmsPriceClickByCircleId(CyPageInfo<CmsPriceClick> paginationUtility, @Param("wxUserImageDTO") WxUserImageDTO wxUserImageDTO);

}

