package org.rcisoft.business.cmspriceclick.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.math.BigDecimal;

/**
 * Created with cy on 2024年6月3日 下午3:35:01.
 */
@Data
@TableName("cms_price_click")
public class CmsPriceClick extends CyIdIncreEntity<CmsPriceClick> {


    /**
     * @desc 单位id
     * @column unit_id
     * @default
     */
//     @Excel(name = "单位id", orderNum = "0", width = 20)
    private Integer unitId;

    /**
     * @desc 用户id
     * @column user_id
     * @default
     */
//     @Excel(name = "用户id", orderNum = "1", width = 20)
    private Integer userId;

    /**
     * @desc 文章/视频id
     * @column news_video_id
     * @default
     */
//     @Excel(name = "文章/视频id", orderNum = "2", width = 20)
    private Integer newsVideoId;

    /**
     * @desc 来源(0 : 新闻 : 1 : 视频)
     * @column source
     * @default
     */
    @Excel(name = "类型", orderNum = "10", width = 20)
    private String type;

    /**
     * @desc 价格
     * @column price
     * @default
     */
    @Excel(name = "价格", orderNum = "9", width = 20)
    private BigDecimal price;

    /**
     * @desc 点击率
     * @column click_through_rate
     * @default
     */
    @Excel(name = "推广次数", orderNum = "8", width = 20)
    private Integer clickThroughRate;

    /**
     * 用户名称
     */
    @TableField(exist = false)
    private String name;
    /**
     * 用户手机号
     */
    @TableField(exist = false)
    private String phone;
    /**
     * 新闻标题
     */
    @Excel(name = "新闻标题", orderNum = "1", width = 20)
    @TableField(exist = false)
    private String title;


}

