package org.rcisoft.business.cmspriceclick.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.business.cmspriceclick.entity.CmsPriceClick;
import org.rcisoft.business.cmspriceclick.entity.CmsPriceClickDTO;
import org.rcisoft.business.cmspriceclick.entity.WxUserImageDTO;
import org.rcisoft.business.sysunit.entity.SysUnit;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * Created by cy on 2024年6月3日 下午3:35:01.
 */
public interface CmsPriceClickService {

    /**
     * 保存 文章/视频单价点击量表
     *
     * @param cmsPriceClick
     * @return
     */
    CyPersistModel persist(CmsPriceClick cmsPriceClick);

    /**
     * 删除 文章/视频单价点击量表
     *
     * @param cmsPriceClick
     * @return
     */
    CyPersistModel remove(CmsPriceClick cmsPriceClick);

    /**
     * 逻辑删除 文章/视频单价点击量表
     *
     * @param cmsPriceClick
     * @return
     */
    CyPersistModel removeLogical(CmsPriceClick cmsPriceClick);

    /**
     * 修改 文章/视频单价点击量表
     *
     * @param cmsPriceClick
     * @return
     */
    CyPersistModel merge(CmsPriceClick cmsPriceClick);

    /**
     * 根据id查询 文章/视频单价点击量表
     *
     * @param id
     * @return
     */
    CmsPriceClick findById(int id);

    /**
     * 分页查询 文章/视频单价点击量表
     *
     * @param cmsPriceClick
     * @return
     */
    IPage<CmsPriceClick> findAllByPagination(CyPageInfo<CmsPriceClick> paginationUtility,
                                             CmsPriceClick cmsPriceClick);


    /**
     * 查询list 文章/视频单价点击量表
     *
     * @param cmsPriceClick
     * @return
     */
    List<CmsPriceClickDTO> findAll(CmsPriceClick cmsPriceClick);


    /**
     * 导出文章/视频单价点击量表
     *
     * @return
     */
    List<CmsPriceClickDTO> export(CmsPriceClick cmsPriceClick);

    IPage<CmsPriceClickDTO> paginateTheNumberOfViews(CyPageInfo<CmsPriceClick> paginationUtility, CmsPriceClickDTO cmsPriceClickDTO);

    CyPersistModel updatebyId(CmsPriceClickDTO cmsPriceClickDTO);

    void updateTheUserByMerchantId(SysUnit sysUnit);

    CyPersistModel importExcel(MultipartFile file);

    void importExcelAdd(MultipartFile file, CmsPriceClick cmsPriceClick);

    IPage<WxUserImageDTO> getCmsPriceClickByCircleId(CyPageInfo<CmsPriceClick> paginationUtility, WxUserImageDTO wxUserImageDTO);
}
